Get price by ID
curl --request GET \
--url https://api.vantage.sh/v2/products/{product_id}/prices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/products/{product_id}/prices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/products/{product_id}/prices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "aws-ec2-m5d_16xlarge-eu_central_1-on_demand-linux_enterprise",
"unit": "hour",
"region": "eu-central-1",
"rate_type": "compute",
"currency": "USD",
"amount": 27.328,
"details": {
"platform": "linux-enterprise",
"lifecycle": "on-demand"
}
}Prices
Get price by ID
Returns a price
GET
/
products
/
{product_id}
/
prices
/
{id}
Get price by ID
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 - application/json
Price model
The unit in which the amount is billed.
Example:
"hour"
The region the price is specific to.
Example:
"us-east-1"
The part of the product the price applies to. (compute, transfer, etc..)
Example:
"compute"
The currency of the amount.
Example:
"USD"
The amount of money this specific product price costs.
Example:
1.324
Service specific metadata.
Example:
{
"platform": "linux-enterprise",
"lifecycle": "on-demand"
}